PSSEGYZ(1)

NAME
pssegyz - Create imagemasked postscript from SEGY file

SYNOPSIS
pssegyz SEGYfile -Jparameters -Jz|Zparameters -Rwest/east/south/north[/zmin/zmax][r] -Ddeviation -F[rgb|gray]|-W [ -Bbias ] [ -Cclip ] [ -Eazim/elev[+wlon/lat[/z]][+vx0/y0] ] [ -I ] [ -K ] [ -Lnsamp ] [ -Mntrace ] [ -N ] [ -O ] [ -P ] [ -Sheader_x/header_y ] [ -Uredvel ] [ -V ] [ -Xscale ] [ -Ysample_int ] [ -Z ]

DESCRIPTION
pssegyz reads a native (IEEE) format SEGY file and produces a PostScript image of the seismic data. The imagemask operator is used so that the seismic data are plotted as a 1-bit deep bitmap in a single (user-specified) color or gray shade, with a transparent background. The bitmap resolution is taken from the current GMT defaults. The seismic traces may be plotted at their true locations using information in the trace headers (in which case order of the traces in the file is not significant). Standard GMT geometry routines are used so that in principle any map projection may be used, however it is likely that the geographic projections will lead to unexpected results. Beware also that some parameters have non-standard meanings, and a couple of the options for pssegy are not available in pssegyz. Note that the order of operations before the seismic data are plotted is deviation*[clip]([bias]+[normalize](sample value)). Deviation determines how far in the plot coordinates a [normalized][biased][clipped] sample value of 1 plots from the trace location. The SEGY file should be a disk image of the tape format (ie 3200 byte text header, which is ignored, 400 byte binary reel header, and 240 byte header for each trace) with samples as native real*4 (IEEE real on all the platforms to which I have access)

SEGYfile
    Seismic data set to be imaged

-J  Selects the map projection. Scale is UNIT/degree, 1:xxxxx, or width in UNIT (upper case modifier). UNIT is cm, inch, or m, depending on the MEASURE_UNIT setting in .gmtdefaults4, but this can be overridden on the command line by appending c, i, or m to the scale/width value. When central meridian is optional, default is center of longitude range on -R option. Default standard parallel is the equator. For map height, max dimension, or min dimension, append h, +, or - to the width, respectively.
    More details can be found in the psbasemap man pages.

    CYLINDRICAL PROJECTIONS:

    -Jclon0/lat0/scale (Cassini)
    -Jcyl_stere/[lon0/[lat0/]]scale (Cylindrical Stereographic)
    -Jj[lon0/]scale (Miller)
    -Jm[lon0/[lat0/]]scale (Mercator)
    -Jmlon0/lat0/scale (Mercator - Give meridian and standard parallel)
    -Jo[a]lon0/lat0/azimuth/scale (Oblique Mercator - point and azimuth)
    -Jo[b]lon0/lat0/lon1/lat1/scale (Oblique Mercator - two points)
    -Joclon0/lat0/lonp/latp/scale (Oblique Mercator - point and pole)
    -Jq[lon0/[lat0/]]scale (Cylindrical Equidistant)
    -Jtlon0/[lat0/]scale (TM - Transverse Mercator)
    -Juzone/scale (UTM - Universal Transverse Mercator)
    -Jy[lon0/[lat0/]]scale (Cylindrical Equal-Area)

    CONIC PROJECTIONS:

    -Jblon0/lat0/lat1/lat2/scale (Albers)
    -Jdlon0/lat0/lat1/lat2/scale (Conic Equidistant)
    -Jllon0/lat0/lat1/lat2/scale (Lambert Conic Conformal)
    -Jpoly/[lon0/[lat0/]]scale ((American) Polyconic)

    AZIMUTHAL PROJECTIONS:

    -Jalon0/lat0[/horizon]/scale (Lambert Azimuthal Equal-Area)
    -Jelon0/lat0[/horizon]/scale (Azimuthal Equidistant)
    -Jflon0/lat0[/horizon]/scale (Gnomonic)
    -Jglon0/lat0[/horizon]/scale (Orthographic)
    -Jglon0/lat0/altitude/azimuth/tilt/twist/Width/Height/scale (General Perspective).
    -Jslon0/lat0[/horizon]/scale (General Stereographic)

    MISCELLANEOUS PROJECTIONS:

    -Jh[lon0/]scale (Hammer)
    -Ji[lon0/]scale (Sinusoidal)
    -Jkf[lon0/]scale (Eckert IV)
    -Jk[s][lon0/]scale (Eckert VI)
    -Jn[lon0/]scale (Robinson)
    -Jr[lon0/]scale (Winkel Tripel)
    -Jv[lon0/]scale (Van der Grinten)
    -Jw[lon0/]scale (Mollweide)

    NON-GEOGRAPHICAL PROJECTIONS:

    -Jp[a]scale[/origin][r|z] (Polar coordinates (theta,r))
    -Jxx-scale[d|l|ppow|t|T][/y-scale[d|l|ppow|t|T]] (Linear, log, and power scaling)

-R  west, east, south, and north specify the Region of interest, and you may specify them in decimal degrees or in [+-]dd:mm[:ss.xxx][W|E|S|N] format. Append r if lower left and upper right map coordinates are given instead of w/e/s/n. The two shorthands -Rg and -Rd stand for global domain (0/360 and -180/+180 in longitude respectively, with -90/+90 in latitude). Alternatively, specify the name of an existing grid file and the -R settings (and grid spacing, if applicable) are copied from the grid.

-D  gives the deviation in X units of the plot for 1.0 on the scaled trace, This may be a single number (applied equally in X and Y directions) or devX/devY

-E  Sets the viewpoint's azimuth and elevation (for perspective view) [180/90]. For frames used for animation, you may want to append + to fix the center of your data domain (or specify a particular world coordinate point with +wlon0/lat[/z]) which will project to the center of your page size (or specify the coordinates of the projected view point with +vx0/y0).

-F[rgb|gray]
    Fill trace (variable area, defaults to filling positive). rgb or gray gives the color with which the imagemask is filled.

-W  Draw wiggle trace.

You must specify at least one of -W and -F.

OPTIONS
No space between the option flag and the associated arguments.

-A  Flip the default byte-swap state (default assumes data have a bigendian byte-order).

-B  Bias to apply to data (added to sample values).

-C  Sample value at which to clip data (clipping is applied to both positive and negative values).

-I  Fill negative rather than positive excursions.

-K  More PostScript code will be appended later [Default terminates the plot system].

-L  Override number of samples per trace in reel header (program attempts to determine number of samples from each trace header if possible to allow for variable length traces).

-M  Override number of traces specified in reel header. Program detects end of file (relatively) gracefully, but this parameter limits number of traces that the program attempts to read.

-N  Normalize trace by dividing by rms amplitude over full trace length.

-O  Selects Overlay plot mode [Default initializes a new plot system].

-P  Selects Portrait plotting mode [Default is Landscape, see gmtdefaults to change this].

-S  Read trace locations from trace headers: header is either c for CDP, o for offset, b<num> to read a long starting at byte <num> in the header (first byte corresponds to num=0), or a number to fix the location.
     First parameter for x, second for y. Default has X and Y given by trace number.

-U  Apply reduction velocity by shifting traces upwards by redvel/|offset|. Negative velocity removes existing reduction. Units should be consistent with offset in trace header and sample interval.

-V  Selects verbose mode, which will send progress reports to stderr [Default runs "silently"].

-X  Multiply trace locations by scale before plotting.

-Y  Override sample interval in reel header.

-Z  Do not plot traces with zero rms amplitude.

EXAMPLES
To plot the SEGY file wa1.segy with normalized traces plotted at true offset locations, clipped at +-3 and with wiggle trace and positive variable area shading in black, use

pssegyz wa1.segy -JX 5/-5 -D 1 -Jz 0.05 -E 180/5 -R 0/100/0/10/0/10 -C 3 -N -S o -W -F black > segy.ps

BUGS
Variable area involves filling four-sided figures of distressing generality. I know that some of the more complex degenerate cases are not dealt with correctly or at all; the incidence of such cases increases as viewing angles become more oblique, and particularly as the viewing elevation increases. Wiggle-trace plotting is not affected.

SEE ALSO
GMT(1), pssegy(1)